synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Fremantle (JIRA)" <j...@apache.org>
Subject [jira] Created: (SYNAPSE-118) NHTTP transport has a JDK dependency
Date Wed, 08 Aug 2007 20:46:59 GMT
NHTTP transport has a JDK dependency 
-------------------------------------

                 Key: SYNAPSE-118
                 URL: https://issues.apache.org/jira/browse/SYNAPSE-118
             Project: Synapse
          Issue Type: Bug
            Reporter: Paul Fremantle


The quick start guide implies that one should be able to use "JDK or JRE of
version 1.4.2 or higher"

However, Synapse appears to have 1.5 dependencies.  In running sample #0, it
works the first two times.  However, after the second execution of the
client, the following appears, and after that Synapse is non-responsive:

[I/O reactor worker thread 4] WARN  LoggingNHttpServiceHandler - HTTP
connection [/127.0.0.1:1817]: An existing connection was forcibly closed by
the remote hos
t
java.lang.NoSuchMethodError:
java.lang.String.contains(Ljava/lang/CharSequence;)Z
       at
org.apache.axis2.transport.nhttp.ServerHandler.exception(ServerHandler.java:
278)
       at
org.apache.axis2.transport.nhttp.LoggingNHttpServiceHandler.exception
(LoggingNHttpServiceHandler.java:71)
       at
org.apache.http.impl.nio.DefaultNHttpServerConnection.consumeInput(DefaultNH
ttpServerConnection.java:116)
       at
org.apache.axis2.transport.nhttp.PlainServerIOEventDispatch.inputReady(Plain
ServerIOEventDispatch.java:67)
       at
org.apache.http.impl.nio.reactor.BaseIOReactor.readable(BaseIOReactor.java:6
8)
       at
org.apache.http.impl.nio.reactor.AbstractIOReactor.processEvent(AbstractIORe
actor.java:160)
       at
org.apache.http.impl.nio.reactor.AbstractIOReactor.processEvents(AbstractIOR
eactor.java:145)
       at
org.apache.http.impl.nio.reactor.AbstractIOReactor.execute(AbstractIOReactor
.java:127)
       at
org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor$Worker.run(Abs
tractMultiworkerIOReactor.java:153)
       at java.lang.Thread.run(Thread.java:534)

(and, as I mentioned, the sample no longer works after this until I restart
both Synapse and the server hosting the service).

At least part of the problem is that java.lang.String.contains does not
exist in 1.4 level Java.

(In addition, since the samples (at least #0) require the compiler, the JRE
is not sufficient).


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: synapse-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: synapse-dev-help@ws.apache.org


Mime
View raw message